# Uses of Class
java.net.spi.InetAddressResolver.LookupPolicy

Packages that use InetAddressResolver.LookupPolicy
Package
Description
java.net.spi
Service-provider classes for the `java.net` package.

## Uses of InetAddressResolver.LookupPolicy in java.net.spi

Methods in java.net.spi that return InetAddressResolver.LookupPolicy
Modifier and Type
Method
Description
`static InetAddressResolver.LookupPolicy`
InetAddressResolver.LookupPolicy.`of(int characteristics)`
This factory method creates a `LookupPolicy` instance with the given `characteristics` value.
Methods in java.net.spi with parameters of type InetAddressResolver.LookupPolicy
Modifier and Type
Method
Description
`Stream<InetAddress>`
InetAddressResolver.`lookupByName(String host, InetAddressResolver.LookupPolicy lookupPolicy)`
Given the name of a host, returns a stream of IP addresses of the requested address family associated with a provided hostname.